MDIFF(1)

NAME
mDiff - Calculates the difference between a pair of overlapping images

SYNOPSIS
mDiff [-d level] [-n(o-areas)] [-s statusfile] in1.fits in2.fits out.fits template.hdr

DESCRIPTION
mDiff calculates a simple difference between a single pair of overlapping images. This is meant for use on reprojected images where the pixels already line up exactly. mDiff analyzes an image metadata table to determine a list of overlapping images. Each image is compared with every other image to determine all overlapping image pairs. A pair of images are deemed to overlap if any pixel around the perimeter of one image falls within the boundary of the other image.

OPTIONS

-d level
    Turns on debugging to the specified level (1-4).

-n  No-area-images flag. Creates difference image without requiring pixel area FITS image

-z factor
    Scale second image by factor before subtracting.

-s statusfile
    Output and errors are sent to statusfile instead of to stdout

ARGUMENTS

in1.fits
    First input FITS file. (Also needs area image in1_area.fits, or use -n flag)

in2.fits
    Second input FITS file.(Also needs area image in2_area.fits, or use -n flag)

out.fits
    Difference FITS image to be generated.

template.hdr
    FITS header template used to generate output image.

RESULT
FITS image and area image representing the difference in the overlap region.

MESSAGES

OK  [struct stat="OK"]

ERROR
    Cannot open status file: statusfile

ERROR
    Images don't overlap

ERROR
    All pixels are blank

ERROR
    Template file not found

ERROR
    FITS library error

ERROR
    general error

EXAMPLES

$ mDiff proj/in1.fits proj/in2.fits output/diff.fits template.hdr
    [struct stat="OK"]

BUGS
The drizzle algorithm has been implemented but has not been tested in this release.

If a header template contains carriage returns (i.e., created/modified on a Windows machine), the cfitsio library will be unable to read it properly, resulting in the error: [struct stat="ERROR", status=207, msg="illegal character in keyword"]

It is best for the background correction algorithms if the area described in the header template completely encloses all of the input images in their entirety. If parts of input images are "chopped off" by the header template, the background correction will be affected. We recommend you use an expanded header for the reprojection and background modeling steps, returning to the originally desired header size for the final coaddition. The default background matching assumes that there are no non-linear background variations in the individual images (and therefore in the overlap differences). If there is any uncertainty in this regard, it is safer to turn on the "level only" background matching (the "-l" flag in mBgModel.

COPYRIGHT
2001-2015 California Institute of Technology, Pasadena, California

If your research uses Montage, please include the following acknowledgement: "This research made use of Montage. It is funded by the National Science Foundation under Grant Number ACI-1440620, and was previously funded by the National Aeronautics and Space Administration's Earth Science Technology Office, Computation Technologies Project, under Cooperative Agreement Number NCC5-626 between NASA and the California Institute of Technology."

The Montage distribution includes an adaptation of the MOPEX algorithm developed at the Spitzer Science Center.